资源中心/硬件设施/主存储相关接口
POSTPrimary Storage Operations起始版本 0.6同步需要认证
向集群添加主存储
向集群添加主存储
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
clusterUuidString必填集群UUID
primaryStorageUuidString必填主存储UUID
请求体字段
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
POST/zstack/v1/clusters/{clusterUuid}/primary-storage/{primaryStorageUuid}
/zstack/v1/clusters/{clusterUuid}/primary-storage/{primaryStorageUuid}
请求示例
curl -X POST 'http://{host}/zstack/v1/clusters/{clusterUuid}/primary-storage/{primaryStorageUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "name": "PS1", "url": "/Cloud_ps", "type": "LocalStorage", "state": "Enabled", "status": "Connected", "attachedClusterUuids": [ "f0262ff5aeb54cd19e0a33bfaa61f5a4" ] } }变更历史
此 API 暂无变更历史记录。
